<template>
  <div class="password-meter">
    <div class="password-meter__text">{{passwordMeterText}}</div>
    <password ref="passwordMeter" @score="showScore" v-model="pass" :strength-meter-only="true"/>
  </div>
</template>

<script>
import Password from 'vue-password-strength-meter';

export default {
  name: 'PasswordMeter',
  props: {
    pass: String
  },
  data() {
    return {
      passwordStrength: null,
    }
  },
  components: {
    Password
  },
  methods: {
    showScore(score) {
      this.passwordStrength = score;
    }
  },
  computed: {
    passwordMeterText() {
      switch (this.passwordStrength) {
        case 0:
        case 1:
          return 'Low';
        case 2:
          return 'Medium';
        case 3:
          return 'Hight';
        case 4:
          return 'Ultra';
        default:
          return 'Password complexity';
      }
    }
  }
}
</script>

<style lang="sass" scoped>
.password-meter
  &__text
    color: $textColorMain
    font-family: $mainFont
    font-size: 0.875rem
    font-weight: 400
    line-height: 1.43
    text-align: left
.Password
  width: 100%
  max-width: 100%
  /deep/ &__strength-meter
    height: 0.063rem
    &:before, &:after
      display: none
</style>
